Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.params
Interface Parameters

All Known Implementing Classes:
  SimpleParameters

public interface Parameters

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  Jeff Hoye

Method Summary
`boolean` | `contains(java.lang.String name)` DESCRIBE THE METHOD
`boolean` | `getBoolean(java.lang.String paramName)` Gets the Boolean attribute of the Parameters object
`double` | `getDouble(java.lang.String paramName)` Gets the Double attribute of the Parameters object
`float` | `getFloat(java.lang.String paramName)` Gets the Float attribute of the Parameters object
`java.net.InetAddress` | `getInetAddress(java.lang.String paramName)` String format is dnsname ex: "computer.school.edu"
`java.net.InetSocketAddress` | `getInetSocketAddress(java.lang.String paramName)` String format is name:port ex: "computer.school.edu:1984"
`java.net.InetSocketAddress[]` | `getInetSocketAddressArray(java.lang.String paramName)` String format is comma seperated.
`int` | `getInt(java.lang.String paramName)` Gets the Int attribute of the Parameters object
`long` | `getLong(java.lang.String paramName)` Gets the Long attribute of the Parameters object
`java.lang.String` | `getString(java.lang.String paramName)` Gets the String attribute of the Parameters object
`java.lang.String[]` | `getStringArray(java.lang.String paramName)` Gets the StringArray attribute of the Parameters object
`void` | `remove(java.lang.String name)` DESCRIBE THE METHOD
`void` | `setBoolean(java.lang.String paramName, boolean val)` Sets the Boolean attribute of the Parameters object
`void` | `setDouble(java.lang.String paramName, double val)` Sets the Double attribute of the Parameters object
`void` | `setFloat(java.lang.String paramName, float val)` Sets the Float attribute of the Parameters object
`void` | `setInetAddress(java.lang.String paramName, java.net.InetAddress val)` Sets the InetAddress attribute of the Parameters object
`void` | `setInetSocketAddress(java.lang.String paramName, java.net.InetSocketAddress val)` Sets the InetSocketAddress attribute of the Parameters object
`void` | `setInetSocketAddressArray(java.lang.String paramName, java.net.InetSocketAddress[] val)` Sets the InetSocketAddressArray attribute of the Parameters object
`void` | `setInt(java.lang.String paramName, int val)` Sets the Int attribute of the Parameters object
`void` | `setLong(java.lang.String paramName, long val)` Sets the Long attribute of the Parameters object
`void` | `setString(java.lang.String paramName, java.lang.String val)` Sets the String attribute of the Parameters object
`void` | `setStringArray(java.lang.String paramName, java.lang.String[] val)` Sets the StringArray attribute of the Parameters object
`void` | `store()` DESCRIBE THE METHOD

Method Detail

### remove

    public void remove(java.lang.String name)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER

### contains

    public boolean contains(java.lang.String name)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### store

    public void store()

  DESCRIBE THE METHOD

### getString

    public java.lang.String getString(java.lang.String paramName)

  Gets the String attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The String value

### getStringArray

    public java.lang.String[] getStringArray(java.lang.String paramName)

  Gets the StringArray attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The StringArray value

### getInt

    public int getInt(java.lang.String paramName)

  Gets the Int attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The Int value

### getDouble

    public double getDouble(java.lang.String paramName)

  Gets the Double attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The Double value

### getFloat

    public float getFloat(java.lang.String paramName)

  Gets the Float attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The Float value

### getLong

    public long getLong(java.lang.String paramName)

  Gets the Long attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The Long value

### getBoolean

    public boolean getBoolean(java.lang.String paramName)

  Gets the Boolean attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The Boolean value

### getInetAddress

    public java.net.InetAddress getInetAddress(java.lang.String paramName)
                                        throws java.net.UnknownHostException

  String format is dnsname ex: "computer.school.edu"

  Parameters:
    `paramName` -
  Returns:
  Throws:
    `java.net.UnknownHostException`

### getInetSocketAddress

    public java.net.InetSocketAddress getInetSocketAddress(java.lang.String paramName)
                                                    throws java.net.UnknownHostException

  String format is name:port ex: "computer.school.edu:1984"

  Parameters:
    `paramName` -
  Returns:
  Throws:
    `java.net.UnknownHostException` - DESCRIBE THE EXCEPTION

### getInetSocketAddressArray

    public java.net.InetSocketAddress[] getInetSocketAddressArray(java.lang.String paramName)
                                                           throws java.net.UnknownHostException

  String format is comma seperated. ex: "computer.school.edu:1984,computer2.school.edu:1984,computer.school.edu:1985"

  Parameters:
    `paramName` -
  Returns:
  Throws:
    `java.net.UnknownHostException` - DESCRIBE THE EXCEPTION

### setString

    public void setString(java.lang.String paramName,
                          java.lang.String val)

  Sets the String attribute of the Parameters object

  Parameters:
    `paramName` - The new String value
    `val` - The new String value

### setStringArray

    public void setStringArray(java.lang.String paramName,
                               java.lang.String[] val)

  Sets the StringArray attribute of the Parameters object

  Parameters:
    `paramName` - The new StringArray value
    `val` - The new StringArray value

### setInt

    public void setInt(java.lang.String paramName,
                       int val)

  Sets the Int attribute of the Parameters object

  Parameters:
    `paramName` - The new Int value
    `val` - The new Int value

### setDouble

    public void setDouble(java.lang.String paramName,
                          double val)

  Sets the Double attribute of the Parameters object

  Parameters:
    `paramName` - The new Double value
    `val` - The new Double value

### setFloat

    public void setFloat(java.lang.String paramName,
                         float val)

  Sets the Float attribute of the Parameters object

  Parameters:
    `paramName` - The new Float value
    `val` - The new Float value

### setLong

    public void setLong(java.lang.String paramName,
                        long val)

  Sets the Long attribute of the Parameters object

  Parameters:
    `paramName` - The new Long value
    `val` - The new Long value

### setBoolean

    public void setBoolean(java.lang.String paramName,
                           boolean val)

  Sets the Boolean attribute of the Parameters object

  Parameters:
    `paramName` - The new Boolean value
    `val` - The new Boolean value

### setInetAddress

    public void setInetAddress(java.lang.String paramName,
                               java.net.InetAddress val)

  Sets the InetAddress attribute of the Parameters object

  Parameters:
    `paramName` - The new InetAddress value
    `val` - The new InetAddress value

### setInetSocketAddress

    public void setInetSocketAddress(java.lang.String paramName,
                                     java.net.InetSocketAddress val)

  Sets the InetSocketAddress attribute of the Parameters object

  Parameters:
    `paramName` - The new InetSocketAddress value
    `val` - The new InetSocketAddress value

### setInetSocketAddressArray

    public void setInetSocketAddressArray(java.lang.String paramName,
                                          java.net.InetSocketAddress[] val)

  Sets the InetSocketAddressArray attribute of the Parameters object

  Parameters:
    `paramName` - The new InetSocketAddressArray value
    `val` - The new InetSocketAddressArray value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.